Name:          xmlenc
Version:       0.53
Release:       4%{?dist}
Summary:       Light-weight XML output library for Java
Group:         Development/Libraries
License:       BSD
#  http://xmlenc.sourceforge.net/
URL:           https://github.com/znerd/xmlenc/
# git clone git://github.com/znerd/xmlenc.git xmlenc-0.53
# (cd xmlenc-0.53/ && git archive --format=tar --prefix=xmlenc-0.53/ xmlenc-0.53 | xz > ../xmlenc-0.53-src-git.tar.xz)
Source0:       %{name}-%{version}-src-git.tar.xz

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: znerd-oss-parent

# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
# required by enforcer-plugin
BuildRequires: mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires: mvn(org.apache.maven.shared:maven-shared-components)

Requires:      java >= 1:1.6.0
Requires:      jpackage-utils
BuildArch:     noarch

%description
This library is a fast stream-based XML output library for Java. 
Main design goals are performance, simplicity and pureness. 

%package javadoc
Summary:       Javadoc for %{name}
Group:         Documentation
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}

%prep
%setup -q
find . -name "*.class" -delete
find . -name ".*" -delete
find . -name "*.jar" -type f -delete

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a "%{name}:%{name}"

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc CHANGES.txt COPYRIGHT.txt README.txt THANKS.txt

%files javadoc
%{_javadocdir}/%{name}
%doc COPYRIGHT.txt

%changelog
* Tue Feb 19 2013 gil cattaneo <puntogil@libero.it> 0.53-4
- added maven-common-artifact-filters and maven-shared-components as BR

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.53-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Sat Sep 29 2012 gil cattaneo <puntogil@libero.it> 0.53-1
- Update to 0.53
- Moved to maven build

* Tue Sep 25 2012 gil <puntogil@libero.it> 0.52-11
- Adapted to current guideline
- Added maven pom
- Added %%pre javadoc script

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 29 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-5
- URL now follows standards

* Wed Jan 28 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-4
- Group name fix
- Spec-file cleanup

* Mon Jan 26 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-3
- Small javac.targetvm build fix

* Mon Jan 26 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-2
- Added dependencies
- Small fixes

* Wed Jan 21 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-1
- Initial package.